function FileData_Pairs(x)
{
x.t("complex","routing");
x.t("example","figure");
x.t("four","servers");
x.t("serves","consumers");
x.t("every","route");
x.t("within","multi-hop");
x.t("within","zone");
x.t("overlapping","zones");
x.t("depicts","servers");
x.t("boundaries","hop");
x.t("seems","contain");
x.t("topic","messages");
x.t("topic","server");
x.t("reaches","pa1");
x.t("reaches","ny1");
x.t("reaches","tk1");
x.t("reaches","server");
x.t("working","routes");
x.t("serve","producers");
x.t("auditing","backup");
x.t("travels","hop");
x.t("basic","operation");
x.t("forwarded","message");
x.t("reset","zero");
x.t("however","routes");
x.t("queue","messages");
x.t("count","reset");
x.t("belongs","zone");
x.t("servers","serve");
x.t("servers","new");
x.t("servers","forward");
x.t("servers","contrast");
x.t("servers","tokyo");
x.t("servers","connected");
x.t("servers","message");
x.t("servers","several");
x.t("servers","figure");
x.t("servers","paris");
x.t("servers","similarly");
x.t("branch","offices");
x.t("new","york");
x.t("enterprise","four");
x.t("enterprise","serves");
x.t("enterprise","one-hop");
x.t("limitation","results");
x.t("results","desired");
x.t("archiving","auditing");
x.t("cycle","path");
x.t("desired","result");
x.t("operation","zone");
x.t("forward","messages");
x.t("forward","message");
x.t("forward","figure");
x.t("path","instead");
x.t("path","duplicates");
x.t("overlap","tibco");
x.t("overlap","server");
x.t("connects","servers");
x.t("connects","server");
x.t("limit","routing");
x.t("illustrates","enterprise");
x.t("zero","pa1");
x.t("zero","ny1");
x.t("zero","figure");
x.t("sends","message");
x.t("record","messages");
x.t("impossible","messages");
x.t("contain","cycle");
x.t("addition","multi-hop");
x.t("travel","hop");
x.t("travel","longer");
x.t("travel","along");
x.t("contrast","one-hop");
x.t("backup","goal");
x.t("messages","basic");
x.t("messages","queue");
x.t("messages","archiving");
x.t("messages","travel");
x.t("messages","branches");
x.t("messages","routing");
x.t("affects","forwarding");
x.t("first","server");
x.t("connecting","servers");
x.t("crosses","zone");
x.t("software","chapter");
x.t("chapter","working");
x.t("multi-hop","eliminating");
x.t("multi-hop","zone");
x.t("multi-hop","zones");
x.t("multi-hop","mhop");
x.t("hop","count");
x.t("hop","new");
x.t("hop","first");
x.t("hop","tokyo");
x.t("hop","paris");
x.t("hop","even");
x.t("office","process");
x.t("instead","limitation");
x.t("eliminating","redundant");
x.t("redundant","paths");
x.t("tokyo","servers");
x.t("tokyo","zone");
x.t("pa1","crosses");
x.t("pa1","message");
x.t("pa1","forwards");
x.t("connected","routes");
x.t("client","sends");
x.t("client","server");
x.t("offices","enterprise");
x.t("restrict","behavior");
x.t("tibco","software");
x.t("affect","topic");
x.t("message","reaches");
x.t("message","travels");
x.t("message","forward");
x.t("message","crosses");
x.t("message","ny1");
x.t("message","assuming");
x.t("message","global");
x.t("cities","fully-connected");
x.t("produces","message");
x.t("branches","serves");
x.t("longer","path");
x.t("ny1","crosses");
x.t("ny1","turn");
x.t("ny1","forwards");
x.t("named","routes");
x.t("main","office");
x.t("figure","depicts");
x.t("figure","illustrates");
x.t("figure","zones");
x.t("several","cities");
x.t("several","zones");
x.t("forwarding","figure");
x.t("forwarding","behavior");
x.t("subscribers","servers");
x.t("process","messages");
x.t("paris","servers");
x.t("paris","addition");
x.t("1hop","zone");
x.t("fully-connected","graph");
x.t("along","applicable");
x.t("applicable","routes");
x.t("york","servers");
x.t("york","zone");
x.t("configure","complex");
x.t("graph","seems");
x.t("graph","zone");
x.t("duplicates","route");
x.t("assuming","subscribers");
x.t("goal","forward");
x.t("result","forwarding");
x.t("zone","boundaries");
x.t("zone","topic");
x.t("zone","forward");
x.t("zone","connects");
x.t("zone","limit");
x.t("zone","impossible");
x.t("zone","affects");
x.t("zone","hop");
x.t("zone","client");
x.t("zone","tibco");
x.t("zone","named");
x.t("zone","figure");
x.t("zone","zone");
x.t("zone","zones");
x.t("zone","tk1");
x.t("zone","one-hop");
x.t("routing","graph");
x.t("routing","zones");
x.t("routing","paths");
x.t("routing","behavior");
x.t("global","topic");
x.t("city","client");
x.t("zones","example");
x.t("zones","forwarded");
x.t("zones","overlap");
x.t("zones","connecting");
x.t("zones","multi-hop");
x.t("zones","restrict");
x.t("zones","affect");
x.t("zones","message");
x.t("zones","zones");
x.t("zones","one-hop");
x.t("zones","server");
x.t("turn","forwards");
x.t("routes","every");
x.t("routes","within");
x.t("routes","servers");
x.t("routes","multi-hop");
x.t("routes","several");
x.t("routes","configure");
x.t("routes","zone");
x.t("routes","belong");
x.t("similarly","message");
x.t("route","however");
x.t("route","belongs");
x.t("producers","branch");
x.t("consumers","record");
x.t("consumers","main");
x.t("behavior","within");
x.t("behavior","routes");
x.t("paths","zones");
x.t("paths","one-hop");
x.t("mhop","zone");
x.t("tk1","crosses");
x.t("tk1","forwards");
x.t("forwards","hop");
x.t("forwards","pa1");
x.t("forwards","message");
x.t("one-hop","overlapping");
x.t("one-hop","1hop");
x.t("one-hop","zone");
x.t("one-hop","zones");
x.t("even","within");
x.t("tk3","produces");
x.t("server","queue");
x.t("server","servers");
x.t("server","routing");
x.t("server","city");
x.t("server","routes");
x.t("server","tk3");
x.t("belong","several");
x.t("belong","one-hop");
}
